Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235214 - throw reasonable xmlrpc fault on invalid arch names
Summary: throw reasonable xmlrpc fault on invalid arch names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Mike Orazi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 15:46 UTC by James Bowes
Modified: 2013-01-10 09:52 UTC (History)
3 users (show)

Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-25 15:15:52 UTC


Attachments (Terms of Use)

Description James Bowes 2007-04-04 15:46:32 UTC
~50% of all unhandled exceptions in production coming from python are from us
not having an entry for em64t as a possible package arch. Add it.

Comment 1 James Bowes 2007-04-12 14:50:41 UTC
On second thoughts, dont add it, because it's not valid (its just x86_64)
throw an invalid arch fault or something.

Comment 2 Bret McMillan 2007-05-11 15:40:33 UTC
+1 to throwing a reasonable fault.

Comment 3 James Bowes 2007-05-22 17:23:54 UTC
Ok, so now if you attempt to sync up a package profile with a package that has
an odd arch, we return fault 45.

Comment 4 James Bowes 2007-06-04 14:40:30 UTC
A quick n' dirty way to test this is to append a package with a spurious arch to
your package profile, like:
   pkg_list.append(['foobar', '1', '1', '', 'em64t'])
at line 173 in /usr/share/rhn/up2date_client/rpmUtils.py

Then use rhnreg_ks and note the informative error message.

Comment 6 James Bowes 2007-07-25 15:15:52 UTC
rhn502 released.


Note You need to log in before you can comment on or make changes to this bug.